Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1421067 - [ALL LANG] [Admin Portal] Need to localized the string 'Gluster Volumes' on the Dashboard page.
Summary: [ALL LANG] [Admin Portal] Need to localized the string 'Gluster Volumes' on t...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine-dashboard
Classification: oVirt
Component: General
Version: 1.0.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ovirt-4.1.1
: 1.1.0
Assignee: Scott Dickerson
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 09:33 UTC by Bhushan Barve
Modified: 2017-04-21 09:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:34:05 UTC
oVirt Team: UX
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
rule-engine: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)
gluster volumes string (98.43 KB, image/png)
2017-02-10 09:33 UTC, Bhushan Barve
no flags Details

Description Bhushan Barve 2017-02-10 09:33:05 UTC
Created attachment 1249010 [details]
gluster volumes string

Description of problem: Need to localized the string 'Gluster Volumes' on the Dashboard page. This is applicable for all locales.

The string is found translated in zanata -
https://translate.zanata.org/webtrans/translate?project=ovirt-engine-dashboard&iteration=master&localeId=ja&locale=en-US&dswid=3715#view:doc;doc:dashboard-messages
(location as per L10n QA event info mojo - https://mojo.redhat.com/docs/DOC-1126471)



Version-Release number of selected component (if applicable):
4.1.0.3-0.1.el7

How reproducible:
always

Steps to Reproduce:
1. login with any locale other than en_US to admin portal.
2. make sure gluster volume is added.
2. go to Dashboard tab.
3. observe the string 'Gluster Volumes'

Actual results:
The string 'Gluster Volumes' in not localized.

Expected results:
The string should be localized.

Additional info:

Comment 1 Scott Dickerson 2017-02-23 22:33:29 UTC
Gluster Volume status card title is currently localizable.  

The zanata pull that included translations for this text was first released in:
  ovirt-engine-dashboard-1.1.0-5

This version of dashboard was first included in the ovirt 4.1.1-2 release.

Comment 2 Scott Dickerson 2017-02-23 22:35:20 UTC
Please retest with ovirt 4.1.1-2.

Comment 3 SATHEESARAN 2017-04-03 12:32:54 UTC
Tested with RHV 4.1.1-6. Gluster Volumes on the dashboard are shown according to the locale chosen


Note You need to log in before you can comment on or make changes to this bug.